Create Mobile Agent
POST
/v1/mobile/agents
const url = 'https://api.vocapable.com/v1/mobile/agents';const options = { method: 'POST', headers: { 'Idempotency-Key': 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"name":"example","use_case":"receptionist","assistant_name":"Alex","language":"en","knowledge_pack_id":"example","knowledge_pack_version":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/mobile/agents \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: example' \ --data '{ "name": "example", "use_case": "receptionist", "assistant_name": "Alex", "language": "en", "knowledge_pack_id": "example", "knowledge_pack_version": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Idempotency-Key
required
string
Unique key for this draft change. Retry with the same key and body to replay the saved result instead of repeating the change. Stored for 24 hours; a replay carries Idempotent-Replay: true.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
MobileAgent
object
Examplegenerated
{ "id": "example", "name": "example", "use_case": "example", "status": "example", "latest_version": 1, "updated_at": "2026-04-15T12:00:00Z"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}